Page MenuHomePhabricator

revlogv2: track current index size in the docket
ClosedPublic

Authored by marmoute on May 3 2021, 7:54 AM.

Details

Summary

This help use to fix transaction safety on repos. See next changesets for details.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 3 2021, 7:54 AM
baymax updated this revision to Diff 27471.May 3 2021, 9:32 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute updated this revision to Diff 27544.May 4 2021, 10:13 AM
baymax updated this revision to Diff 27874.May 11 2021, 1:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare added inline comments.
mercurial/configitems.py
1160

docket*, but will fix in flight, as with the first docket changeset

Alphare accepted this revision.May 17 2021, 5:48 PM
This revision is now accepted and ready to land.May 17 2021, 5:48 PM
This revision was automatically updated to reflect the committed changes.